Choice 1 set USB Charging Cable for Hatteker RFC-598 RFC-588 RFC-690 RSCX-7568 Hair Clipper Trimmer Shaver
Special Deals
14.40AED
Delivery address
Free shippingTrendyol's commitments
Easy and free return in 15 days.
Highlighted features:
Choice 1 set USB Charging Cable for Hatteker RFC-598 RFC-588 RFC-690 RSCX-7568 Hair Clipper Trimmer Shaver features
Instructions for Use/Warnings
*1 set
Product details

Choice 1 set USB Charging Cable for Hatteker RFC-598 RFC-588 RFC-690 RSCX-7568 Hair Clipper Trimmer Shaver features
Instructions for Use/Warnings
*1 set
Safety information
Product safety information
